Create a Project - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v2.0 /projects
Try it
Create a Project
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/projects \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "New Project",
"color": "blue",
"handoverConfiguration": {
"setupLiveAgentInbox": true
},
"locale": "en-US"
}
'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects"
payload = {
"name": "New Project",
"color": "blue",
"handoverConfiguration": { "setupLiveAgentInbox": True },
"locale": "en-US"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New Project',
color: 'blue',
handoverConfiguration: {setupLiveAgentInbox: true},
locale: 'en-US'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


HTTP Status Codes
- 201: Project object successfully created.
- 400: Bad Request.
- 401: Unauthorized.
- 402: Payment Required.
- 403: Forbidden.
- 404: Not Found.
- 405: Method Not Allowed.
- 409: Conflict.
- 413: Payload Too Large.
- 500: Internal Server Error.
- 501: Not Implemented.
- 502: Bad Gateway.
- 503: Service Unavailable.
- 504: Gateway Timeout.
Example Request Body
{
"name": "New Project",
"color": "blue",
"handoverConfiguration": {
"setupLiveAgentInbox": true
},
"locale": "en-US"
}
Authorizations
- APIKeyHeader - Required. Supply the API Key in the HTTP-Header.